#!/bin/bash

# 1. 执行 git pull
git pull

# 2. 执行 npm i
npm i

# 3. 执行 npm run build
npm run build

cp ./word.json ./.output/

# 4. 切换到 ./.output 目录
cd ./.output

port=3000
pid_list=$(lsof -t -i:$port)

# 杀死这些进程
for pid in $pid_list; do
    echo "Killing process with PID $pid"
    kill $pid
done

# 5. 执行 node ./server/index.mjs
node ./server/index.mjs
